osgParticle::PrecipitationEffect Class Reference

`#include <PrecipitationEffect>`

Inheritance diagram for osgParticle::PrecipitationEffect:

## Classes

class | PrecipitationDrawable
struct | PrecipitationDrawableSet

## Public Member Functions

| PrecipitationEffect ()
| PrecipitationEffect (const PrecipitationEffect &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
virtual const char * | libraryName () const
virtual const char * | className () const
virtual bool | isSameKindAs (const osg::Object *obj) const
virtual void | accept (osg::NodeVisitor &nv)
virtual void | resizeGLObjectBuffers (unsigned int maxSize)
virtual void | releaseGLObjects (osg::State *state=0) const
virtual void | traverse (osg::NodeVisitor &nv)
void | rain (float intensity)
void | snow (float intensity)
void | setMaximumParticleDensity (float density)
float | getMaximumParticleDensity () const
void | setWind (const osg::Vec3 &wind)
const osg::Vec3 & | getWind () const
void | setPosition (const osg::Vec3 &position)
const osg::Vec3 & | getPosition () const
void | setCellSize (const osg::Vec3 &cellSize)
const osg::Vec3 & | getCellSize () const
void | setParticleSpeed (float particleSpeed)
float | getParticleSpeed () const
void | setParticleSize (float particleSize)
float | getParticleSize () const
void | setParticleColor (const osg::Vec4 &color)
const osg::Vec4 & | getParticleColor () const
void | setNearTransition (float nearTransition)
float | getNearTransition () const
void | setFarTransition (float farTransition)
float | getFarTransition () const
void | setUseFarLineSegments (bool useFarLineSegments)
bool | getUseFarLineSegments () const
void | setFog (osg::Fog *fog)
osg::Fog * | getFog ()
const osg::Fog * | getFog () const
osg::Geometry * | getQuadGeometry ()
osg::StateSet * | getQuadStateSet ()
osg::Geometry * | getLineGeometry ()
osg::StateSet * | getLineStateSet ()
osg::Geometry * | getPointGeometry ()
osg::StateSet * | getPointStateSet ()
Public Member Functions inherited from osg::Node
| Node ()
| Node (const Node &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const
virtual Object * | clone (const CopyOp &copyop) const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Geometry * | asGeometry ()
virtual const Geometry * | asGeometry () const
virtual Group * | asGroup ()
virtual const Group * | asGroup () const
virtual Transform * | asTransform ()
virtual const Transform * | asTransform () const
virtual Switch * | asSwitch ()
virtual const Switch * | asSwitch () const
virtual Geode * | asGeode ()
virtual const Geode * | asGeode () const
virtual osgTerrain::Terrain * | asTerrain ()
virtual const osgTerrain::Terrain * | asTerrain () const
virtual void | ascend (NodeVisitor &nv)
const ParentList & | getParents () const
ParentList | getParents ()
Group * | getParent (unsigned int i)
const Group * | getParent (unsigned int i) const
unsigned int | getNumParents () const
NodePathList | getParentalNodePaths (osg::Node *haltTraversalAtNode=0) const
MatrixList | getWorldMatrices (const osg::Node *haltTraversalAtNode=0) const
void | setUpdateCallback (Callback *nc)
template<class T>
void | setUpdateCallback (const ref_ptr< T > &nc)
Callback * | getUpdateCallback ()
const Callback * | getUpdateCallback () const
void | addUpdateCallback (Callback *nc)
template<class T>
void | addUpdateCallback (const ref_ptr< T > &nc)
void | removeUpdateCallback (Callback *nc)
template<class T>
void | removeUpdateCallback (const ref_ptr< T > &nc)
unsigned int | getNumChildrenRequiringUpdateTraversal () const
void | setEventCallback (Callback *nc)
template<class T>
void | setEventCallback (const ref_ptr< T > &nc)
Callback * | getEventCallback ()
const Callback * | getEventCallback () const
void | addEventCallback (Callback *nc)
template<class T>
void | addEventCallback (const ref_ptr< T > &nc)
void | removeEventCallback (Callback *nc)
template<class T>
void | removeEventCallback (const ref_ptr< T > &nc)
unsigned int | getNumChildrenRequiringEventTraversal () const
void | setCullCallback (Callback *nc)
template<class T>
void | setCullCallback (const ref_ptr< T > &nc)
Callback * | getCullCallback ()
const Callback * | getCullCallback () const
void | addCullCallback (Callback *nc)
template<class T>
void | addCullCallback (const ref_ptr< T > &nc)
void | removeCullCallback (Callback *nc)
template<class T>
void | removeCullCallback (const ref_ptr< T > &nc)
void | setCullingActive (bool active)
bool | getCullingActive () const
unsigned int | getNumChildrenWithCullingDisabled () const
bool | isCullingActive () const
unsigned int | getNumChildrenWithOccluderNodes () const
bool | containsOccluderNodes () const
void | setNodeMask (NodeMask nm)
NodeMask | getNodeMask () const
void | setStateSet (osg::StateSet *stateset)
template<class T>
void | setStateSet (const osg::ref_ptr< T > &stateset)
osg::StateSet * | getOrCreateStateSet ()
osg::StateSet * | getStateSet ()
const osg::StateSet * | getStateSet () const
void | setDescriptions (const DescriptionList &descriptions)
DescriptionList & | getDescriptions ()
const DescriptionList & | getDescriptions () const
const std::string & | getDescription (unsigned int i) const
std::string & | getDescription (unsigned int i)
unsigned int | getNumDescriptions () const
void | addDescription (const std::string &desc)
void | setInitialBound (const osg::BoundingSphere &bsphere)
const BoundingSphere & | getInitialBound () const
void | dirtyBound ()
const BoundingSphere & | getBound () const
virtual BoundingSphere | computeBound () const
void | setComputeBoundingSphereCallback (ComputeBoundingSphereCallback *callback)
template<class T>
void | setComputeBoundingSphereCallback (const ref_ptr< T > &callback)
ComputeBoundingSphereCallback * | getComputeBoundingSphereCallback ()
const ComputeBoundingSphereCallback * | getComputeBoundingSphereCallback () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
std::string | getCompoundClassName () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Types

typedef std::pair< osg::NodeVisitor *, osg::NodePath > | ViewIdentifier
typedef std::map< ViewIdentifier, PrecipitationDrawableSet > | ViewDrawableMap

## Protected Member Functions

virtual | ~PrecipitationEffect ()
void | compileGLObjects (osg::RenderInfo &renderInfo) const
void | update ()
void | createGeometry (unsigned int numParticles, osg::Geometry *quad_geometry, osg::Geometry *line_geometry, osg::Geometry *point_geometry)
void | setUpGeometries (unsigned int numParticles)
void | cull (PrecipitationDrawableSet &pds, osgUtil::CullVisitor *cv) const
bool | build (const osg::Vec3 eyeLocal, int i, int j, int k, float startTime, PrecipitationDrawableSet &pds, osg::Polytope &frustum, osgUtil::CullVisitor *cv) const
Protected Member Functions inherited from osg::Node
virtual | ~Node ()
void | addParent (osg::Group *parent)
void | removeParent (osg::Group *parent)
void | setNumChildrenRequiringUpdateTraversal (unsigned int num)
void | setNumChildrenRequiringEventTraversal (unsigned int num)
void | setNumChildrenWithCullingDisabled (unsigned int num)
void | setNumChildrenWithOccluderNodes (unsigned int num)
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

bool | _dirty
osg::Vec3 | _wind
float | _particleSpeed
float | _particleSize
osg::Vec4 | _particleColor
float | _maximumParticleDensity
osg::Vec3 | _cellSize
float | _nearTransition
float | _farTransition
bool | _useFarLineSegments
osg::ref_ptr< osg::Fog > | _fog
osg::ref_ptr< osg::Uniform > | _inversePeriodUniform
osg::ref_ptr< osg::Uniform > | _particleSizeUniform
osg::ref_ptr< osg::Uniform > | _particleColorUniform
OpenThreads::Mutex | _mutex
ViewDrawableMap | _viewDrawableMap
osg::ref_ptr< osg::Geometry > | _quadGeometry
osg::ref_ptr< osg::StateSet > | _quadStateSet
osg::ref_ptr< osg::Geometry > | _lineGeometry
osg::ref_ptr< osg::StateSet > | _lineStateSet
osg::ref_ptr< osg::Geometry > | _pointGeometry
osg::ref_ptr< osg::StateSet > | _pointStateSet
float | _period
osg::Vec3 | _origin
osg::Vec3 | _du
osg::Vec3 | _dv
osg::Vec3 | _dw
osg::Vec3 | _inverse_du
osg::Vec3 | _inverse_dv
osg::Vec3 | _inverse_dw
double | _previousFrameTime
Protected Attributes inherited from osg::Node
BoundingSphere | _initialBound
ref_ptr< ComputeBoundingSphereCallback > | _computeBoundCallback
BoundingSphere | _boundingSphere
bool | _boundingSphereComputed
ParentList | _parents
ref_ptr< Callback > | _updateCallback
unsigned int | _numChildrenRequiringUpdateTraversal
ref_ptr< Callback > | _eventCallback
unsigned int | _numChildrenRequiringEventTraversal
ref_ptr< Callback > | _cullCallback
bool | _cullingActive
unsigned int | _numChildrenWithCullingDisabled
unsigned int | _numChildrenWithOccluderNodes
NodeMask | _nodeMask
ref_ptr< StateSet > | _stateset
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Public Types inherited from osg::Node
typedef std::vector< Group * > | ParentList
typedef unsigned int | NodeMask
typedef std::vector< std::string > | DescriptionList
Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Member Typedef Documentation

## ViewDrawableMap

typedef std::map< ViewIdentifier, PrecipitationDrawableSet > osgParticle::PrecipitationEffect::ViewDrawableMap

protected

## ViewIdentifier

typedef std::pair< osg::NodeVisitor*, osg::NodePath > osgParticle::PrecipitationEffect::ViewIdentifier

protected

## Constructor & Destructor Documentation

## PrecipitationEffect() [1/2]

osgParticle::PrecipitationEffect::PrecipitationEffect | ( |  | ) |

Referenced by isSameKindAs(), and PrecipitationEffect().

## PrecipitationEffect() [2/2]

osgParticle::PrecipitationEffect::PrecipitationEffect | ( | const PrecipitationEffect & | copy,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY )

References PrecipitationEffect(), and osg::CopyOp::SHALLOW_COPY.

## ~PrecipitationEffect()

virtual osgParticle::PrecipitationEffect::~PrecipitationEffect | ( |  | ) |

inline protected virtual

## Member Function Documentation

## accept()

virtual void osgParticle::PrecipitationEffect::accept | ( | osg::NodeVisitor & | nv | ) |

inline virtual

Visitor Pattern : calls the apply method of a NodeVisitor with this node's type.

Reimplemented from osg::Node.

References osg::NodeVisitor::apply(), osg::NodeVisitor::popFromNodePath(), osg::NodeVisitor::pushOntoNodePath(), and osg::NodeVisitor::validNodeMask().

## build()

bool osgParticle::PrecipitationEffect::build | ( | const osg::Vec3 | eyeLocal,
|  | int | i,
|  | int | j,
|  | int | k,
|  | float | startTime,
|  | PrecipitationDrawableSet & | pds,
|  | osg::Polytope & | frustum,
|  | osgUtil::CullVisitor * | cv ) const

protected

## className()

virtual const char * osgParticle::PrecipitationEffect::className | ( |  | ) | const

inline virtual

return the name of the node's class type.

Reimplemented from osg::Node.

## compileGLObjects()

void osgParticle::PrecipitationEffect::compileGLObjects | ( | osg::RenderInfo & | renderInfo | ) | const

protected

## createGeometry()

void osgParticle::PrecipitationEffect::createGeometry | ( | unsigned int | numParticles,
|  | osg::Geometry * | quad_geometry,
|  | osg::Geometry * | line_geometry,
|  | osg::Geometry * | point_geometry )

protected

## cull()

void osgParticle::PrecipitationEffect::cull | ( | PrecipitationDrawableSet & | pds,
|  | osgUtil::CullVisitor * | cv ) const

protected

## getCellSize()

const osg::Vec3 & osgParticle::PrecipitationEffect::getCellSize | ( |  | ) | const

inline

References _cellSize.

## getFarTransition()

float osgParticle::PrecipitationEffect::getFarTransition | ( |  | ) | const

inline

References _farTransition.

## getFog() [1/2]

osg::Fog * osgParticle::PrecipitationEffect::getFog | ( |  | ) |

inline

References _fog.

## getFog() [2/2]

const osg::Fog * osgParticle::PrecipitationEffect::getFog | ( |  | ) | const

inline

References _fog.

## getLineGeometry()

osg::Geometry * osgParticle::PrecipitationEffect::getLineGeometry | ( |  | ) |

inline

References _lineGeometry.

## getLineStateSet()

osg::StateSet * osgParticle::PrecipitationEffect::getLineStateSet | ( |  | ) |

inline

References _lineStateSet.

## getMaximumParticleDensity()

float osgParticle::PrecipitationEffect::getMaximumParticleDensity | ( |  | ) | const

inline

References _maximumParticleDensity.

## getNearTransition()

float osgParticle::PrecipitationEffect::getNearTransition | ( |  | ) | const

inline

References _nearTransition.

## getParticleColor()

const osg::Vec4 & osgParticle::PrecipitationEffect::getParticleColor | ( |  | ) | const

inline

References _particleColor.

## getParticleSize()

float osgParticle::PrecipitationEffect::getParticleSize | ( |  | ) | const

inline

References _particleSize.

## getParticleSpeed()

float osgParticle::PrecipitationEffect::getParticleSpeed | ( |  | ) | const

inline

References _particleSpeed.

## getPointGeometry()

osg::Geometry * osgParticle::PrecipitationEffect::getPointGeometry | ( |  | ) |

inline

References _pointGeometry.

## getPointStateSet()

osg::StateSet * osgParticle::PrecipitationEffect::getPointStateSet | ( |  | ) |

inline

References _pointStateSet.

## getPosition()

const osg::Vec3 & osgParticle::PrecipitationEffect::getPosition | ( |  | ) | const

inline

References _origin.

## getQuadGeometry()

osg::Geometry * osgParticle::PrecipitationEffect::getQuadGeometry | ( |  | ) |

inline

References _quadGeometry.

## getQuadStateSet()

osg::StateSet * osgParticle::PrecipitationEffect::getQuadStateSet | ( |  | ) |

inline

References _quadStateSet.

## getUseFarLineSegments()

bool osgParticle::PrecipitationEffect::getUseFarLineSegments | ( |  | ) | const

inline

References _useFarLineSegments.

## getWind()

const osg::Vec3 & osgParticle::PrecipitationEffect::getWind | ( |  | ) | const

inline

References _wind.

## isSameKindAs()

virtual bool osgParticle::PrecipitationEffect::isSameKindAs | ( | const osg::Object * | obj | ) | const

inline virtual

return true if this and obj are of the same kind of object.

Reimplemented from osg::Node.

References PrecipitationEffect().

## libraryName()

virtual const char * osgParticle::PrecipitationEffect::libraryName | ( |  | ) | const

inline virtual

return the name of the node's library.

Reimplemented from osg::Node.

## rain()

void osgParticle::PrecipitationEffect::rain | ( | float | intensity | ) |

Set all the parameters to create an rain effect of specified intensity.

## releaseGLObjects()

virtual void osgParticle::PrecipitationEffect::releaseGLObjects | ( | osg::State * | = 0 | ) | const

virtual

If State is non-zero, this function releases any associated OpenGL objects for the specified graphics context. Otherwise, releases OpenGL objects for all graphics contexts.

Reimplemented from osg::Node.

## resizeGLObjectBuffers()

virtual void osgParticle::PrecipitationEffect::resizeGLObjectBuffers | ( | unsigned int |  | ) |

virtual

Resize any per context GLObject buffers to specified size.

Reimplemented from osg::Node.

## setCellSize()

void osgParticle::PrecipitationEffect::setCellSize | ( | const osg::Vec3 & | cellSize | ) |

inline

References _cellSize, and _dirty.

## setFarTransition()

void osgParticle::PrecipitationEffect::setFarTransition | ( | float | farTransition | ) |

inline

References _farTransition.

## setFog()

void osgParticle::PrecipitationEffect::setFog | ( | osg::Fog * | fog | ) |

inline

References _fog.

## setMaximumParticleDensity()

void osgParticle::PrecipitationEffect::setMaximumParticleDensity | ( | float | density | ) |

inline

References _dirty, and _maximumParticleDensity.

## setNearTransition()

void osgParticle::PrecipitationEffect::setNearTransition | ( | float | nearTransition | ) |

inline

References _nearTransition.

## setParticleColor()

void osgParticle::PrecipitationEffect::setParticleColor | ( | const osg::Vec4 & | color | ) |

inline

References _dirty, and _particleColor.

## setParticleSize()

void osgParticle::PrecipitationEffect::setParticleSize | ( | float | particleSize | ) |

inline

References _dirty, and _particleSize.

## setParticleSpeed()

void osgParticle::PrecipitationEffect::setParticleSpeed | ( | float | particleSpeed | ) |

inline

References _dirty, and _particleSpeed.

## setPosition()

void osgParticle::PrecipitationEffect::setPosition | ( | const osg::Vec3 & | position | ) |

inline

References _origin.

## setUpGeometries()

void osgParticle::PrecipitationEffect::setUpGeometries | ( | unsigned int | numParticles | ) |

protected

## setUseFarLineSegments()

void osgParticle::PrecipitationEffect::setUseFarLineSegments | ( | bool | useFarLineSegments | ) |

inline

References _useFarLineSegments.

## setWind()

void osgParticle::PrecipitationEffect::setWind | ( | const osg::Vec3 & | wind | ) |

inline

References _wind.

## snow()

void osgParticle::PrecipitationEffect::snow | ( | float | intensity | ) |

Set all the parameters to create an snow effect of specified intensity.

## traverse()

virtual void osgParticle::PrecipitationEffect::traverse | ( | osg::NodeVisitor & |  | ) |

virtual

Traverse downwards : calls children's accept method with NodeVisitor.

Reimplemented from osg::Node.

## update()

void osgParticle::PrecipitationEffect::update | ( |  | ) |

protected

## Member Data Documentation

## _cellSize

osg::Vec3 osgParticle::PrecipitationEffect::_cellSize

protected

Referenced by getCellSize(), and setCellSize().

## _dirty

bool osgParticle::PrecipitationEffect::_dirty

protected

Referenced by setCellSize(), setMaximumParticleDensity(), setParticleColor(), setParticleSize(), and setParticleSpeed().

## _du

osg::Vec3 osgParticle::PrecipitationEffect::_du

protected

## _dv

osg::Vec3 osgParticle::PrecipitationEffect::_dv

protected

## _dw

osg::Vec3 osgParticle::PrecipitationEffect::_dw

protected

## _farTransition

float osgParticle::PrecipitationEffect::_farTransition

protected

Referenced by getFarTransition(), and setFarTransition().

## _fog

osg::ref_ptr<osg::Fog> osgParticle::PrecipitationEffect::_fog

protected

Referenced by getFog(), getFog(), and setFog().

## _inverse_du

osg::Vec3 osgParticle::PrecipitationEffect::_inverse_du

protected

## _inverse_dv

osg::Vec3 osgParticle::PrecipitationEffect::_inverse_dv

protected

## _inverse_dw

osg::Vec3 osgParticle::PrecipitationEffect::_inverse_dw

protected

## _inversePeriodUniform

osg::ref_ptr<osg::Uniform> osgParticle::PrecipitationEffect::_inversePeriodUniform

protected

## _lineGeometry

osg::ref_ptr<osg::Geometry> osgParticle::PrecipitationEffect::_lineGeometry

protected

Referenced by getLineGeometry().

## _lineStateSet

osg::ref_ptr<osg::StateSet> osgParticle::PrecipitationEffect::_lineStateSet

protected

Referenced by getLineStateSet().

## _maximumParticleDensity

float osgParticle::PrecipitationEffect::_maximumParticleDensity

protected

Referenced by getMaximumParticleDensity(), and setMaximumParticleDensity().

## _mutex

OpenThreads::Mutex osgParticle::PrecipitationEffect::_mutex

protected

## _nearTransition

float osgParticle::PrecipitationEffect::_nearTransition

protected

Referenced by getNearTransition(), and setNearTransition().

## _origin

osg::Vec3 osgParticle::PrecipitationEffect::_origin

protected

Referenced by getPosition(), and setPosition().

## _particleColor

osg::Vec4 osgParticle::PrecipitationEffect::_particleColor

protected

Referenced by getParticleColor(), and setParticleColor().

## _particleColorUniform

osg::ref_ptr<osg::Uniform> osgParticle::PrecipitationEffect::_particleColorUniform

protected

## _particleSize

float osgParticle::PrecipitationEffect::_particleSize

protected

Referenced by getParticleSize(), and setParticleSize().

## _particleSizeUniform

osg::ref_ptr<osg::Uniform> osgParticle::PrecipitationEffect::_particleSizeUniform

protected

## _particleSpeed

float osgParticle::PrecipitationEffect::_particleSpeed

protected

Referenced by getParticleSpeed(), and setParticleSpeed().

## _period

float osgParticle::PrecipitationEffect::_period

protected

## _pointGeometry

osg::ref_ptr<osg::Geometry> osgParticle::PrecipitationEffect::_pointGeometry

protected

Referenced by getPointGeometry().

## _pointStateSet

osg::ref_ptr<osg::StateSet> osgParticle::PrecipitationEffect::_pointStateSet

protected

Referenced by getPointStateSet().

## _previousFrameTime

double osgParticle::PrecipitationEffect::_previousFrameTime

protected

## _quadGeometry

osg::ref_ptr<osg::Geometry> osgParticle::PrecipitationEffect::_quadGeometry

protected

Referenced by getQuadGeometry().

## _quadStateSet

osg::ref_ptr<osg::StateSet> osgParticle::PrecipitationEffect::_quadStateSet

protected

Referenced by getQuadStateSet().

## _useFarLineSegments

bool osgParticle::PrecipitationEffect::_useFarLineSegments

protected

Referenced by getUseFarLineSegments(), and setUseFarLineSegments().

## _viewDrawableMap

ViewDrawableMap osgParticle::PrecipitationEffect::_viewDrawableMap

protected

## _wind

osg::Vec3 osgParticle::PrecipitationEffect::_wind

protected

Referenced by getWind(), and setWind().

The documentation for this class was generated from the following file:

- PrecipitationEffect